For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
  • Overview
    • Quick Start
    • Sandboxes
    • Tools & SDKs
    • Support
  • Docs
    • Archive
    • Closed Beta Programs
        • Overview
        • API Reference
              • GETList Companies
              • POSTCreate Company
              • GETGet Company Detail
              • PUTUpdate Company
              • DELDelete Company
              • POSTConvert from BigCommerce CustomerGroup into Company
              • POSTBulk Create Companies
              • PUTUpdate Companies (batch)
              • PUTUpdate Company's Catalog
              • PUTUpdate Company's Status
              • GETList Company Extra Field Configs
              • GETList Company Attachments
              • POSTAdd Company Attachment
              • DELDelete Company Attachment
              • GETList Company Subsidiaries
              • DELDelete Company Subsidiary
              • POSTAttach Company as Parent to Current Company
              • GETList Company Hierarchy
Dev Portal
LogoLogo
Closed Beta ProgramsB2B Edition UpdatesAPI ReferenceCompany

Delete Company

Beta
DELETE
https://api-b2b.bigcommerce.com/api/v3/io/companies/:companyId
DELETE
/api/v3/io/companies/:companyId
$curl -X DELETE https://api-b2b.bigcommerce.com/api/v3/io/companies/1 \
> -H "authToken: <apiKey>"
1{
2 "code": 200,
3 "data": {},
4 "meta": {
5 "message": "SUCCESS"
6 }
7}
Delete A Company. * When the `independent company behavior` is turned off. Deleting a company will also delete the corresponding BigCommerce Customer Group. * When the `independent company behavior` is enabled. Deleting a company will not affect the customer group associated with the company.
Was this page helpful?
Previous

Update Company

Next

Convert from BigCommerce CustomerGroup into Company

Built with

Delete A Company.

  • When the independent company behavior is turned off. Deleting a company will also delete the corresponding BigCommerce Customer Group.

  • When the independent company behavior is enabled. Deleting a company will not affect the customer group associated with the company.

Authentication

authTokenstring

Required to authenticate requests. Include the token in a header parameter called authToken.

Path parameters

companyIdintegerRequired
ID of company.

Response

OK
codeinteger
dataobject
metaobject

Errors

404
Not Found Error